org.keycloak.policy

## Interface PasswordPolicyProvider

- All Superinterfaces:
    Provider
  All Known Implementing Classes:
    BlacklistPasswordPolicyProvider, DigitsPasswordPolicyProvider, ForceExpiredPasswordPolicyProviderFactory, HashAlgorithmPasswordPolicyProviderFactory, HashIterationsPasswordPolicyProviderFactory, HistoryPasswordPolicyProvider, LengthPasswordPolicyProvider, LowerCasePasswordPolicyProvider, MaximumLengthPasswordPolicyProvider, NotEmailPasswordPolicyProvider, NotUsernamePasswordPolicyProvider, RegexPatternsPasswordPolicyProvider, SpecialCharsPasswordPolicyProvider, UpperCasePasswordPolicyProvider

      public interface PasswordPolicyProvider
      extends Provider

  Author:
    Roelof Naude

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `INT_CONFIG_TYPE`
    `static String` | `STRING_CONFIG_TYPE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `parseConfig(String value)`
    `default Integer` | `parseInteger(String value, Integer defaultValue)`
    `PolicyError` | `validate(RealmModel realm, UserModel user, String password)`
    `PolicyError` | `validate(String user, String password)`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Field Detail

    - #### STRING_CONFIG_TYPE

          static final String STRING_CONFIG_TYPE

      See Also:
        Constant Field Values

    - #### INT_CONFIG_TYPE

          static final String INT_CONFIG_TYPE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### validate

          PolicyError validate(RealmModel realm,
                               UserModel user,
                               String password)

    - #### validate

          PolicyError validate(String user,
                               String password)

    - #### parseConfig

          Object parseConfig(String value)

    - #### parseInteger

          default Integer parseInteger(String value,
                                       Integer defaultValue)

Copyright © 2021 JBoss by Red Hat. All rights reserved.